@import "mixins";
@import "variables";

.instagram-shots {
    
    &-wrapper {
       width:100%;
       
        @media (min-width: 768px) {
            padding-bottom: 30px;
            background-color: #00000003;
        }
    }

    &-header-section {
        @include section-wrappers;
        @include flex;
        justify-content: space-between;
    }

    &-header {
        @media (max-width:767px) {
            display: none;
        }

        @include font-headers;
        color: $text-color-dark;
        padding-bottom: 20px;
        text-transform: uppercase;

        &::before {
            content: "-";
            @include pseudoelem;
        }
    }

    &-header--mobile {
        @media (min-width:768px) {
            display: none;
        }

        @include font-headers;
        color: $text-color-dark;
        padding-bottom: 20px;
        text-transform: uppercase;

        &::before {
            content: "-";
            @include pseudoelem;
        }
    }

    &-link {
        @media (max-width: 767px) {
            display: none;
        }

        @include font-link;
        color: $text-color-dark;
        text-transform: uppercase;

        &::after {
            content: " -";
            @include pseudoelem;
        }
    }
    &-images {
        @include section-wrappers-width;
        @include flex;
        justify-content:space-between;
        padding-bottom: 32px;
        
    }
    @media (max-width: 767px) {
        &__img {
            display:none;
            &:first-child{
                display:block;
                width: 301px;
                height: 301px;
            }
        }
    }
    @media (max-width:1199px) {
        &__img {
            width: 30vw;
            height: 30vw;
            &:last-child {
                display:none;
            }
        }
    }

    &__img {
        width: 20vw;
        height: 20vw;
    }


}